{-| Module  : FiniteCategories
Description : Six examples of 'DiscreteCategory' exported with GraphViz.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

Six examples of 'DiscreteCategory' exported with GraphViz.

Export categories __0__ up to __5__ in the directory "OutputGraphViz\/Examples\/FiniteCategories\/DiscreteCategory".
-}
module Math.FiniteCategories.DiscreteCategory.Example
(
    main
)
where
    import Data.WeakSet.Safe
    
    import Math.FiniteCategories.DiscreteCategory
    import Math.IO.FiniteCategories.ExportGraphViz
    
    -- | Six examples of 'DiscreteCategory' exported with GraphViz.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.DiscreteCategory.Example"
        let cats = discreteCategory <$> (\n -> set (take n ['A'..])) <$> [0..5]
        let exports = uncurry catToPdf <$> zip cats (("OutputGraphViz/Examples/FiniteCategories/DiscreteCategory/"++) <$> show <$> [0..5])
        sequence exports
        putStrLn "End of Math.FiniteCategories.DiscreteCategory.Example"