{-| Module  : FiniteCategories
Description : An example of opposite category exported with GraphViz.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An example of opposite category exported with GraphViz.

Export the category in the directory "OutputGraphViz\/Examples\/FiniteCategories\/Opposite".
-}
module Math.FiniteCategories.Opposite.Example
(
    main
)
where
    import Data.WeakSet         (powerSet, Set)
    import Data.WeakSet.Safe
    
    import Math.Categories
    import Math.FiniteCategories
    import Math.IO.FiniteCategories.ExportGraphViz
    
    -- | An example of opposite category exported with GraphViz.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.Opposite.Example"
        catToPdf (ens.powerSet.set $ "AB") "OutputGraphViz/Examples/FiniteCategories/Opposite/Ens"
        catToPdf (Op (ens.powerSet.set $ "AB")) "OutputGraphViz/Examples/FiniteCategories/Opposite/OppositeEns"
        catToPdf (numberCategory 4) "OutputGraphViz/Examples/FiniteCategories/Opposite/4"
        catToPdf (Op (numberCategory 4)) "OutputGraphViz/Examples/FiniteCategories/Opposite/Opposite4"
        putStrLn "End of Math.FiniteCategories.Opposite.Example"